Bug 251921 (CVE-2007-4131) - CVE-2007-4131 tar directory traversal vulnerability
Summary: CVE-2007-4131 tar directory traversal vulnerability
Status: CLOSED ERRATA
Alias: CVE-2007-4131
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
Depends On: 252967 252968 252969 252970 253684 253685
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-13 14:23 UTC by Tomas Hoger
Modified: 2018-08-15 21:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 07:40:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contains_dot_dot patch (531 bytes, patch)
2007-08-13 14:25 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0860 normal SHIPPED_LIVE Moderate: tar security update 2008-01-08 00:44:53 UTC

Description Tomas Hoger 2007-08-13 14:23:06 UTC
Directory traversal vulnerability was discovered in GNU tar.  Vulnerability can
be exploited by specially crafted tar archive to overwrite arbitrary file
writable by user running tar.  Problem occurs in contains_dot_dot function,
which does not properly check names of directory symlinks.

Acknowledgements:

Red Hat would like to thank Dmitry V. Levin for reporting this issue.

Comment 1 Tomas Hoger 2007-08-13 14:25:52 UTC
Created attachment 161175 [details]
contains_dot_dot patch

Patch by Dmitry V. Levin used by Owl.

Comment 4 Tomas Hoger 2007-08-20 13:33:10 UTC
Patch is in upstream cvs, embargo removed.

Comment 8 Tomas Hoger 2007-08-23 12:56:15 UTC
This issue did not affect tar packages as distributed with Red Hat
Enterprise Linux 2.1 or 3.

Comment 9 Tomas Hoger 2007-08-31 07:40:30 UTC
Issue fixed on all supported platforms, closing Security Response bug.


Note You need to log in before you can comment on or make changes to this bug.